DS_GET_COORD_NUM(3)

FUNCTION
ds_get_coord_num - Get index of a co-ordinate along a dimension.

SYNOPSIS
#include <karma_ds.h>

unsigned long ds_get_coord_num

(CONST dim_desc *dimension, double coordinate, unsigned int bias)

DESCRIPTION
Get index of a co-ordinate along a dimension.

dimension
    The dimension descriptor.

coordinate
    The co-ordinate to find.

bias
    This specifies which co-ordinate index to pick when the co-ordinate lies between two dimension co-ordinates. See <-ds_SEARCH_BIASES-> for legal values.

RETURN VALUE
The index number of the co-ordinate found.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/